body {
    max-width: 1900px;
    margin: 0 auto;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    touch-action: none;
    -webkit-overflow-scrolling: touch;
}

#sidebar {
    background-color: gray;
    height: calc(100vh - 72px - 140px);
}

#map {
    background-color: transparent;
    height: calc(100vh - 72px - 140px);
}

/*https://palettes.shecodes.io/palettes/248*/

#sidebar .card {
    max-width: 540px;
}

@media (min-width: 1500px) {
    .col-custom-xxl-3 {
        flex: 0 0 auto;
        width: 25%;
        /* 3 / 12 = 25% */
    }

    .col-custom-xxl-7 {
        flex: 0 0 auto;
        width: 58.33333333%;
        /* 7 / 12 */
    }
}

.card-link {
    display: block;
    position: relative;
    text-decoration: none;
}

.card-link:hover .card {
    border-color: black;
}

.card-link:hover .card-title {
    text-decoration: underline;
}

.mapboxgl-popup {
    max-width: 400px !important;
    width: 400px !important;
}

.mapboxgl-popup-content {
    width: 400px !important;
    padding: 0px;
    box-shadow: 0 1rem 1rem rgba(0, 0, 0, .5) !important;
    background: transparent;
}

.mapboxgl-map {
    font: inherit;
}

/*hotfix as Bootstrap interfers with Mapbox point element and disrupts hover*/
.row>#map {
    padding-left: 0 !important;
}

.mapboxgl-ctrl-bottom-right {
    font-size: 0.55rem
}

#legend {
    background-color: #fff;
    border-radius: 3px;
    bottom: 20px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
    padding: 10px;
    position: absolute;
    right: 10px;
    z-index: 10;
    font-size: 0.80rem;
    max-width: 200px;
}

#legend h4 {
    margin: 0 0 10px;
}

#legend div span {
    background-color: #0d6efd;
    border: 2px solid white;
    height: 15px;
    display: inline-block;
    margin-right: 5px;
    border-radius: 50%;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    width: 15px;
}

.dropdown-item {
    cursor: pointer;
}

#notifications {
    position: absolute;
    z-index: 10;
    left: 15px !important;
    top: 15px !important;
}

.text-bg-indigo {
    background-color: #6610f2 !important;
}

.border-indigo {
    border-color: #6610f2;
}

.text-indigo {
    color: #6610f2;
}

.dropdown-menu {
    z-index: 9999999999;
}


@media (max-width: 1700px) {
    #sidebar-content .list-group-item div {
        font-size: 0.80rem;
    }
}

@media (max-width: 768px) {
    #map {
        background-color: transparent;
        height: calc(100vh - 72px - 140px);
    }

    .mapboxgl-ctrl-top-right {
        width: 50%;
    }

    .mapboxgl-ctrl-geocoder {
        min-width: auto !important;
    }

    .mapboxgl-popup {
        max-width: 96% !important;
        width: 96% !important;
        transform: none !important;
        bottom: -7px;
        top: unset !important;
        margin: 2% !important;
        display: block;
        z-index: 100;
    }

    .mapboxgl-popup-content {
        width: 100% !important;
    }

    #legend {
        display: none;
        max-width: 200px;
    }
}


@media (max-width: 419px) {
    #gepard-finance {
        margin-left: -12px
    }
}